from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.ui.dialogs import XExecutableDialog

@runtime_checkable
class XFilePicker(XExecutableDialog, Protocol):
    def setMultiSelectionMode(self, bMode: bool) -> None: ...
    def setDefaultName(self, aName: str) -> None: ...
    def getDisplayDirectory(self) -> str: ...
    def getFiles(self) -> list[str]: ...
